Subject: [Sip] I-D ACTION:draft-ietf-sip-mib-06.txt

From: [email-masked]
Date: Wed, 02 Jul 2003 06:57:12 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

	Title		: Management Information Base for Session Initiation 
                          Protocol
	Author(s)	: K. Lingle, J. Maeng, J. Mule, D. Walker
	Filename	: draft-ietf-sip-mib-06.txt
	Pages		: 104
	Date		: 2003-7-1
	
This memo defines a portion of the Management Information Base (MIB) 
for use with network management protocols in the Internet community.  
In particular, it describes a set of managed objects that are used 
to manage Session Initiation Protocol (SIP) entities, which include 
User Agents, Proxy servers, Redirect servers and Registrars.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-mib-06.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sip-mib-06.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sip-mib-06.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Marc Archer <[email-masked]>
Date: Mon, 7 Jul 2003 09:27:13 -0400

Some comments on the draft

TITLE: Has anyone come across a compilation error for not having a proper
IANA assigned number?

I am getting error during compilation (Sub-Id for item "sipTC" must be
"number" or "name (number)" format) as it is Draft version & we do not have
mib-2 number.  We got to have a number for SIP-COMMON-MIB, SIP-TC &
SIP-UA-MIB.

           ::= { mib-2 xx } 
   -- RFC Ed: replace xx with actual IANA assigned number  

Any thoughts? 

TITLE: Error due to BITS usage

I am experiencing a compilation error due to missing declaration of BITS in
SIP-COMMON-MIB & SIP-TC.

There is a BITS usage in the MIB files.

              SYNTAX     BITS {      
                               other(0),  -- none of the following     
                               udp(1),     
                               tcp(2),      
                               sctp(3),     
                               tls(4)     
              }      

In the IMPORTS Section, it was not defined; I was getting the following
Error message.

SMI item "BITS" used in SIP-TC, but not defined or imported.

Since "BITS" is defined in RFC1902.MIB (SNMPv2-SMI), which is already
included in the *.INC file, I added "BITS" in the IMPORTS Section as below:

      IMPORTS      
           MODULE-IDENTITY,    
           mib-2, BITS    
                FROM SNMPv2-SMI      

The compilation goes much further but it then comes up with the following
error:

expected a string, got BITS

Any help will be very much appreciated.

Regards,

Marc Archer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, July 02, 2003 6:57 AM
Cc: [email-masked]
Subject: [Sip] I-D ACTION:draft-ietf-sip-mib-06.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the Session Initiation Protocol Working Group
of the IETF.

                          Protocol

Send a message to:
	[email-masked].
In the body type:

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 7 Jul 2003 16:57:34 +0300

Marc,

1) The OID assignment for the MIB modules is being done by RFC Editor in the final phases of releasing the RFC. Replace meantime xx with a number of your choice, trying to avoid the already defined numbers, in order to pass compilation.
2)  RFC 2578 Section 3.2 specifies which symbols must be imported and also lists certain pre-defined symbols that must not be imported. The BITS construct must not be imported. 

For more information about standard MIBs review procedures (including compilation tools and options) see http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-guidelines-01.txt.

Regards,

Dan
 
> From: Marc Archer [mailto:[email-masked]]
> Sent: 07 July, 2003 4:27 PM
> To: [email-masked]
> Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-mib-06.txt
> 
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 9 Jul 2003 19:11:01 +0300

See section 4.6.1.1 in http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-guidelines-01.txt for the usage of Unsigned32, and Appendix C for the use of SMIng for MIB modules compilation.

Regards,

Dan

> Sent: 09 July, 2003 6:48 PM
> To: [email-masked]
> Hi,
> One more query!
> While I was compiling the .MIB file, I got the following 
> Warnings in all the
> places where I have Unsigned32. 
> 
> --- Warning: unhandled MIB syntax SYNuns32.
> 
> 
> I have it in the IMPORTS section of the .MIB file as below:
> 
>       IMPORTS      
>            MODULE-IDENTITY,      
>            OBJECT-TYPE,      
>            NOTIFICATION-TYPE,      
>            Counter32,      
>            Gauge32,      
>            TimeTicks,
>            Unsigned32,    
>            mib-2
>                 FROM SNMPv2-SMI      
> 
>  I have also included in the .INC file 
> 
> #condInclude "rfc1902.inc" -- SNMPv2-SMI
> 
> 
> It continue further & final stops due to error as it cannot 
> reference any of
> those variables.
> 
> I am using SMICng version 2.1.03(BOOK)(MS-DOS32), February 12, 1997 &
> epilogue 9.1 SNMP stack.
> 
> Regards,
> 
> Marc Archer
> 
> From: Kevin Lingle [mailto:[email-masked]]
> Sent: Monday, July 07, 2003 5:10 PM
> To: Marc Archer
> Cc: [email-masked]
> Subject: Re: [Sip] I-D ACTION:draft-ietf-sip-mib-06.txt
> 
> 
> marc,
> 
> we (cisco) used to have essentially the same problem due to
> older verison of smicng not recognizing BITS construct.
> i believe newer versions of smicng (i think we have v2.2.11 now)
> have fixed this afaik.   i know that we used to have to "work around"
> this by commenting out BITS syntax and replacing it with OCTET STRING.
> 
> i suggest you contact http://www.snmpinfo.com for a 
> definitive answer on
> whether your version of smicng is deficient wrt BITS or whether
> there is a switch you can turn on to eliminate the compile problem.
> 
> btw, i ran the mib modules though smicng before publishing and did
> not have any errors reported.... except for the mib numbers: xx, yy
> which are eliminated by putting in some arbitrary (high) mib-2 oid
> assigned numbers (per dan's earlier suggestion).
> 
> kevin
> 
> Marc Archer wrote:
> > Hi,
> > 
> > One more query:
> > 
> > We are trying to integrate the Draft version for SIP MIBs (
> > 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-mib-06.txt)
> . In this,
> > there is a BITS definition. BITS is not declared in the 
> IMPORTS section
> (RFC
> > 2578 Section 3.2) of the mib file. I have included RFC 1902 
> in the .INC
> file
> > as below:
> > 
> > #condInclude "rfc1902.inc" -- SNMPv2-SMI
> > 
> > When I compile, I am getting the error 
> > 
> > ": f(sip_tc.mib), (3,1) SMI item "BITS" used in SIP-TC, but 
> not defined or
> > imported".
> > 
> > I am using SMICng version 2.1.03(BOOK)(MS-DOS32), February 12, 1997.
> > 
> > Could someone tell me a fix for this problem? Is there any 
> switch option
> > that can take care of this?
> > 
> > Regards,
> > 
> > Marc Archer
> > 
> > From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> > Sent: Monday, July 07, 2003 9:58 AM
> > To: Marc Archer; [email-masked]
> > 1) The OID assignment for the MIB modules is being done by 
> RFC Editor in
> the
> > final phases of releasing the RFC. Replace meantime xx with 
> a number of
> your
> > choice, trying to avoid the already defined numbers, in 
> order to pass
> > compilation.
> > 2)  RFC 2578 Section 3.2 specifies which symbols must be 
> imported and also
> > lists certain pre-defined symbols that must not be 
> imported. The BITS
> > construct must not be imported. 
> > 
> > For more information about standard MIBs review procedures 
> (including
> > compilation tools and options) see
> >
> http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-
> guidelines-01.
> > txt.
> > 
> > Regards,
> > 
> > Dan
> >  
> > 
> -- 
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> =-=-=-=-=
>   Kevin R. Lingle       919.392.2029
>   http://www.klove.com                               
http://www.air1.com
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=